Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 225)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 226)
@@ -1475,5 +1437,5 @@
        WRITE( message_string, * )  'averaging_interval_sp = ', &
              averaging_interval_sp, ' must be <= dt_dosp = ', dt_dosp
-       CALL handle_palm_message( 'check_parameters', 'PA0087', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0087', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1501,5 +1463,5 @@
                 dt_averaging_input, ' must be <= averaging_interval = ', &
                 averaging_interval
-       CALL handle_palm_message( 'check_parameters', 'PA0088', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0088', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1508,5 +1470,5 @@
                 dt_averaging_input_pr, ' must be <= averaging_interval_pr = ', &
                 averaging_interval_pr
-       CALL handle_palm_message( 'check_parameters', 'PA0089', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0089', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -1521,6 +1483,5 @@
                  precipitation_amount_interval, ' must not be larger than ', &
                  'dt_do2d_xy = ', dt_do2d_xy
-             CALL handle_palm_message( 'check_parameters', 'PA0090', 1, 2, 0, &
-                                       6, 0 )
+             CALL message( 'check_parameters', 'PA0090', 1, 2, 0, 6, 0 )
           ENDIF
        ENDIF
@@ -1691,6 +1652,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for ocean = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0091', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0091', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 23
@@ -1760,6 +1720,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for humidity = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0092', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0092', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 41
@@ -1779,6 +1738,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for passive_scalar = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0093', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0093', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 41
@@ -1821,6 +1779,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for cloud_physics = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0094', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0094', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 4
@@ -1866,6 +1823,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for humidity = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0092', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0092', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 48
@@ -1879,6 +1835,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for humidity = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0092', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0092', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 49
@@ -1892,6 +1847,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for humidity = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0092', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0092', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 50
@@ -1905,6 +1859,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for passive_scalar = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0093', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0093', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 48
@@ -1918,6 +1871,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for passive_scalar = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0093', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0093', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 49
@@ -1931,6 +1883,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for passive_scalar = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0093', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0093', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 50
@@ -1954,6 +1905,5 @@
                                  'lemented for cloud_physics = .FALSE. an&' // &
                                  'd humidity = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0095', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0095', 1, 2, 0, 6, 0 )
              ENDIF
 
@@ -1973,6 +1923,5 @@
                                  'lemented for cloud_physics = .FALSE. an&' // &
                                  'd humidity = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0095', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0095', 1, 2, 0, 6, 0 )
              ENDIF
 
@@ -1992,6 +1941,5 @@
                                  'lemented for cloud_physics = .FALSE. an&' // &
                                  'd humidity = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0095', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0095', 1, 2, 0, 6, 0 )
              ENDIF
 
@@ -2002,6 +1950,5 @@
                                  'lemented for cloud_physics = .FALSE. or'  // &
                                  '&cloud_droplets = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0096', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0096', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 54
@@ -2065,6 +2012,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for ocean = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0091', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0091', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 65
@@ -2078,6 +2024,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for ocean = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0091', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0091', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 66
@@ -2091,6 +2036,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for ocean = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0091', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0091', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 67
@@ -2114,6 +2058,5 @@
                                  TRIM( data_output_pr(i) ) // ' is not imp' // &
                                  'lemented for humidity = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0092', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0092', 1, 2, 0, 6, 0 )
              ELSE
                 dopr_index(i) = 70
@@ -2131,11 +2074,9 @@
                                     'data_output_pr_user = "' // &
                                     TRIM( data_output_pr(i) ) // '"'
-                   CALL handle_palm_message( 'check_parameters', 'PA0097', 1, &
-                                             2, 0, 6, 0 )
+                   CALL message( 'check_parameters', 'PA0097', 1, 2, 0, 6, 0 )
                 ELSE
                    message_string = 'illegal value for data_output_pr = "' // &
                                     TRIM( data_output_pr(i) ) // '"'
-                   CALL handle_palm_message( 'check_parameters', 'PA0098', 1, &
-                                             2, 0, 6, 0 )
+                   CALL message( 'check_parameters', 'PA0098', 1, 2, 0, 6, 0 )
                 ENDIF
              ENDIF
@@ -2175,6 +2116,5 @@
           WRITE( message_string, * )  'z_max_do1d = ', z_max_do1d, ' must ', &
                  'be >= ', zu(nzb+1), ' or <= ', zu(nzt+1)
-          CALL handle_palm_message( 'check_parameters', 'PA0099', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0099', 1, 2, 0, 6, 0 )
        ELSE
           cross_uymax = z_max_do1d
@@ -2195,6 +2135,5 @@
                               'zed_x = "' // TRIM( cross_normalized_x(i) ) // &
                               '"'
-             CALL handle_palm_message( 'check_parameters', 'PA0100', 1, 2, 0, &
-                                       6, 0 )
+             CALL message( 'check_parameters', 'PA0100', 1, 2, 0, 6, 0 )
 
        END SELECT
@@ -2208,6 +2147,5 @@
                               'zed_y = "' // TRIM( cross_normalized_y(i) ) // &
                               '"'
-             CALL handle_palm_message( 'check_parameters', 'PA0101', 1, 2, 0, &
-                                       6, 0 )
+             CALL message( 'check_parameters', 'PA0101', 1, 2, 0, 6, 0 )
 
        END SELECT
@@ -2219,5 +2157,5 @@
        WRITE( message_string, * )  'z_max_do1d_normalized = ', &
                                    z_max_do1d_normalized, ' must be >= 0.0'
-       CALL handle_palm_message( 'check_parameters', 'PA0101', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0101', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -2235,6 +2173,5 @@
              message_string = 'number of output quantitities given by data' // &
                 '_output and data_output_user exceeds the limit of 100'
-             CALL handle_palm_message( 'check_parameters', 'PA0102', 1, 2, 0, &
-                                       6, 0 )
+             CALL message( 'check_parameters', 'PA0102', 1, 2, 0, 6, 0 )
           ENDIF
           data_output(i) = data_output_user(j)
@@ -2279,6 +2216,5 @@
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                                  'res constant_diffusion = .FALSE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0103', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0103', 1, 2, 0, 6, 0 )
              ENDIF
              unit = 'm2/s2'
@@ -2288,6 +2224,5 @@
                 message_string = 'output of "' // TRIM( var ) // '" requir' // &
                    'es a "particles_par"-NAMELIST in the parameter file (PARIN)'
-                CALL handle_palm_message( 'check_parameters', 'PA0104', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0104', 1, 2, 0, 6, 0 )
              ENDIF
              IF ( TRIM( var ) == 'pc' )  unit = 'number'
@@ -2298,6 +2233,5 @@
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                                  'res humidity = .TRUE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0105', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0105', 1, 2, 0, 6, 0 )
              ENDIF
              IF ( TRIM( var ) == 'q'   )  unit = 'kg/kg'
@@ -2308,6 +2242,5 @@
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                          'res cloud_physics = .TRUE. or cloud_droplets = .TRUE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0106', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0106', 1, 2, 0, 6, 0 )
              ENDIF
              unit = 'kg/kg'
@@ -2317,6 +2250,5 @@
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                                  'res cloud_droplets = .TRUE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0107', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0107', 1, 2, 0, 6, 0 )
              ENDIF
              IF ( TRIM( var ) == 'ql_c'  )  unit = 'kg/kg'
@@ -2328,6 +2260,5 @@
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                                  'res cloud_physics = .TRUE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0108', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0108', 1, 2, 0, 6, 0 )
              ENDIF
              unit = 'kg/kg'
@@ -2337,6 +2268,5 @@
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                                  'res ocean = .TRUE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0109', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0109', 1, 2, 0, 6, 0 )
              ENDIF
              unit = 'kg/m3'
@@ -2346,6 +2276,5 @@
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                                  'res passive_scalar = .TRUE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0110', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0110', 1, 2, 0, 6, 0 )
              ENDIF
              unit = 'conc'
@@ -2355,6 +2284,5 @@
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                                  'res ocean = .TRUE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0109', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0109', 1, 2, 0, 6, 0 )
              ENDIF
              unit = 'psu'
@@ -2365,30 +2293,25 @@
                                  TRIM( var ) // '" & only 2d-horizontal ' // &
                                  'cross sections are allowed for this value'
-                CALL handle_palm_message( 'check_parameters', 'PA0111', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0111', 1, 2, 0, 6, 0 )
              ENDIF
              IF ( TRIM( var ) == 'lwp*'  .AND.  .NOT. cloud_physics )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                                  'res cloud_physics = .TRUE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0108', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0108', 1, 2, 0, 6, 0 )
              ENDIF
              IF ( TRIM( var ) == 'pra*'  .AND.  .NOT. precipitation )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                                  'res precipitation = .TRUE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0112', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0112', 1, 2, 0, 6, 0 )
              ENDIF
              IF ( TRIM( var ) == 'pra*'  .AND.  j == 1 )  THEN
                 message_string = 'temporal averaging of precipitation ' // &
                           'amount "' // TRIM( var ) // '" is not possible'
-                CALL handle_palm_message( 'check_parameters', 'PA0113', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0113', 1, 2, 0, 6, 0 )
              ENDIF
              IF ( TRIM( var ) == 'prr*'  .AND.  .NOT. precipitation )  THEN
                 message_string = 'output of "' // TRIM( var ) // '" requi' // &
                                  'res precipitation = .TRUE.'
-                CALL handle_palm_message( 'check_parameters', 'PA0112', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0112', 1, 2, 0, 6, 0 )
              ENDIF
 
@@ -2416,11 +2339,9 @@
                    message_string = 'illegal value for data_output or ' // &
                          'data_output_user = "' // TRIM( data_output(i) ) // '"'
-                   CALL handle_palm_message( 'check_parameters', 'PA0114', 1, &
-                                             2, 0, 6, 0 )
+                   CALL message( 'check_parameters', 'PA0114', 1, 2, 0, 6, 0 )
                 ELSE
                    message_string = 'illegal value for data_output =' // &
                                     TRIM( data_output(i) ) // '"'
-                   CALL handle_palm_message( 'check_parameters', 'PA0115', 1, &
-                                             2, 0, 6, 0 )
+                   CALL message( 'check_parameters', 'PA0115', 1, 2, 0, 6, 0 )
                 ENDIF
              ENDIF
@@ -2489,5 +2410,5 @@
                     ' must be >= ', zu(nzb+1), '(zu(nzb+1)) and <= ', zu(nzt), &
                     ' (zu(nzt))'
-       CALL handle_palm_message( 'check_parameters', 'PA0116', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0116', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -2504,6 +2425,5 @@
           message_string = 'do3d_compress = .TRUE. not allowed on host "' // &
                            TRIM( host ) // '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0117', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0117', 1, 2, 0, 6, 0 )
        ENDIF
 
@@ -2516,6 +2436,5 @@
              WRITE( message_string, * )  'illegal precision: do3d_comp_prec', &
                                    '(', i, ') = "', TRIM(do3d_comp_prec(i)),'"'
-             CALL handle_palm_message( 'check_parameters', 'PA0118', 1, 2, 0, &
-                                       6, 0 )
+             CALL message( 'check_parameters', 'PA0118', 1, 2, 0, 6, 0 )
           ENDIF
 
@@ -2540,6 +2459,5 @@
                      TRIM( do3d_comp_prec(i) ), '" given for do3d_comp_prec(', &
                      i, ')'
-                CALL handle_palm_message( 'check_parameters', 'PA0119', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0119', 1, 2, 0, 6, 0 )
 
           END SELECT
@@ -2575,6 +2493,5 @@
                 message_string = 'unknown value for data_output_format "' // &
                                  TRIM( data_output_format(i) ) // '"'
-                CALL handle_palm_message( 'check_parameters', 'PA0120', 1, 2, &
-                                          0, 6, 0 )
+                CALL message( 'check_parameters', 'PA0120', 1, 2, 0, 6, 0 )
 
           END SELECT
@@ -2597,12 +2514,10 @@
        IF ( km_constant < 0.0 )  THEN
           WRITE( message_string, * )  'km_constant = ', km_constant, ' < 0.0'
-          CALL handle_palm_message( 'check_parameters', 'PA0121', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0121', 1, 2, 0, 6, 0 )
        ELSE
           IF ( prandtl_number < 0.0 )  THEN
              WRITE( message_string, * )  'prandtl_number = ', prandtl_number, &
                                          ' < 0.0'
-             CALL handle_palm_message( 'check_parameters', 'PA0122', 1, 2, 0, &
-                                       6, 0 )
+             CALL message( 'check_parameters', 'PA0122', 1, 2, 0, 6, 0 )
           ENDIF
           constant_diffusion = .TRUE.
@@ -2611,6 +2526,5 @@
              message_string = 'prandtl_layer is not allowed with fixed ' // &
                               'value of km'
-             CALL handle_palm_message( 'check_parameters', 'PA0123', 1, 2, 0, &
-                                       6, 0 )
+             CALL message( 'check_parameters', 'PA0123', 1, 2, 0, 6, 0 )
           ENDIF
        ENDIF
@@ -2630,6 +2544,5 @@
        IF ( outflow_damping_width <= 0  .OR.  outflow_damping_width > nx )  THEN
           message_string = 'outflow_damping width out of range'
-          CALL handle_palm_message( 'check_parameters', 'PA0124', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0124', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -2644,6 +2557,5 @@
        IF ( outflow_damping_width <= 0  .OR.  outflow_damping_width > ny )  THEN
           message_string = 'outflow_damping width out of range'
-          CALL handle_palm_message( 'check_parameters', 'PA0124', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0124', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -2654,5 +2566,5 @@
        WRITE( message_string, * )  'rif_min = ', rif_min, ' must be less ', &
                                    'than rif_max = ', rif_max
-       CALL handle_palm_message( 'check_parameters', 'PA0125', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0125', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -2670,9 +2582,9 @@
        WRITE( message_string, * )  'disturbance_level_b = ', &
                            disturbance_level_b, ' must be >= ', zu(3), '(zu(3))'
-       CALL handle_palm_message( 'check_parameters', 'PA0126', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0126', 1, 2, 0, 6, 0 )
     ELSEIF ( disturbance_level_b > zu(nzt-2) )  THEN
        WRITE( message_string, * )  'disturbance_level_b = ', &
                    disturbance_level_b, ' must be <= ', zu(nzt-2), '(zu(nzt-2))'
-       CALL handle_palm_message( 'check_parameters', 'PA0127', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0127', 1, 2, 0, 6, 0 )
     ELSE
        DO  k = 3, nzt-2
@@ -2695,10 +2607,10 @@
        WRITE( message_string, * )  'disturbance_level_t = ', &
                    disturbance_level_t, ' must be <= ', zu(nzt-2), '(zu(nzt-2))'
-       CALL handle_palm_message( 'check_parameters', 'PA0128', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0128', 1, 2, 0, 6, 0 )
     ELSEIF ( disturbance_level_t < disturbance_level_b )  THEN
        WRITE( message_string, * )  'disturbance_level_t = ', &
                    disturbance_level_t, ' must be >= disturbance_level_b = ', &
                    disturbance_level_b
-       CALL handle_palm_message( 'check_parameters', 'PA0129', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0129', 1, 2, 0, 6, 0 )
     ELSE
        DO  k = 3, nzt-2
@@ -2718,5 +2630,5 @@
                 disturbance_level_ind_t, ' must be >= disturbance_level_b = ', &
                 disturbance_level_b
-       CALL handle_palm_message( 'check_parameters', 'PA0130', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0130', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -2735,6 +2647,5 @@
        THEN
           message_string = 'inflow_disturbance_begin out of range'
-          CALL handle_palm_message( 'check_parameters', 'PA0131', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0131', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( inflow_disturbance_end == -1 )  THEN
@@ -2744,6 +2655,5 @@
        THEN
           message_string = 'inflow_disturbance_end out of range'
-          CALL handle_palm_message( 'check_parameters', 'PA0132', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0132', 1, 2, 0, 6, 0 )
        ENDIF
     ELSEIF ( bc_ns /= 'cyclic' )  THEN
@@ -2754,6 +2664,5 @@
        THEN
           message_string = 'inflow_disturbance_begin out of range'
-          CALL handle_palm_message( 'check_parameters', 'PA0131', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0131', 1, 2, 0, 6, 0 )
        ENDIF
        IF ( inflow_disturbance_end == -1 )  THEN
@@ -2763,6 +2672,5 @@
        THEN
           message_string = 'inflow_disturbance_end out of range'
-          CALL handle_palm_message( 'check_parameters', 'PA0132', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0132', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
@@ -2789,5 +2697,5 @@
        message_string = 'turbulent_inflow = .T. requires a Dirichlet ' // &
                         'condition at the inflow boundary'
-       CALL handle_palm_message( 'check_parameters', 'PA0133', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0133', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -2803,6 +2711,5 @@
              WRITE( message_string, * )  'illegal value for recycling_width:', &
                                          ' ', recycling_width
-             CALL handle_palm_message( 'check_parameters', 'PA0134', 1, 2, 0, &
-                                       6, 0 )
+             CALL message( 'check_parameters', 'PA0134', 1, 2, 0, 6, 0 )
           ENDIF
        ENDIF
@@ -2818,5 +2725,5 @@
        message_string = 'unknown random generator: random_generator = "' // &
                         TRIM( random_generator ) // '"'
-       CALL handle_palm_message( 'check_parameters', 'PA0135', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0135', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -2830,6 +2737,5 @@
           WRITE( message_string, * )  'damp_level_1d = ', damp_level_1d, &
                  ' must be > 0.0 and < ', zu(nzt+1), '(zu(nzt+1))'
-          CALL handle_palm_message( 'check_parameters', 'PA0136', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0136', 1, 2, 0, 6, 0 )
        ELSE
           DO  k = 1, nzt+1
@@ -2848,5 +2754,5 @@
        message_string = 'mixing_length_1d = "' // TRIM( mixing_length_1d ) // &
                         '" is unknown'
-       CALL handle_palm_message( 'check_parameters', 'PA0137', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0137', 1, 2, 0, 6, 0 )
     ENDIF
     IF ( TRIM( dissipation_1d ) /= 'as_in_3d_model'  .AND. &
@@ -2854,5 +2760,5 @@
        message_string = 'dissipation_1d = "' // TRIM( dissipation_1d ) // &
                         '" is unknown'
-       CALL handle_palm_message( 'check_parameters', 'PA0138', 1, 2, 0, 6, 0 )
+       CALL message( 'check_parameters', 'PA0138', 1, 2, 0, 6, 0 )
     ENDIF
 
@@ -2889,6 +2795,5 @@
                  termination_time_needed, ' must be > 30.0 on host "', &
                  TRIM( host ), '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0139', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0139', 1, 2, 0, 6, 0 )
        ENDIF
     ELSEIF ( host(1:3) == 'ibm' )  THEN
@@ -2901,6 +2806,5 @@
                  termination_time_needed, ' should be >= 300.0 on host "', &
                  TRIM( host ), '"'
-          CALL handle_palm_message( 'check_parameters', 'PA0140', 1, 2, 0, 6, &
-                                    0 )
+          CALL message( 'check_parameters', 'PA0140', 1, 2, 0, 6, 0 )
        ENDIF
     ENDIF
Index: /palm/trunk/SOURCE/cpu_log.f90
===================================================================
--- /palm/trunk/SOURCE/cpu_log.f90	(revision 225)
+++ /palm/trunk/SOURCE/cpu_log.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Type of count and count_rate changed to INTEGER(8)
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 225 2009-01-26 14:44:20Z raasch
+! Type of count and count_rate changed to INTEGER(8)
 !
 ! 82 2007-04-16 15:40:52Z raasch
Index: /palm/trunk/SOURCE/cpu_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/cpu_statistics.f90	(revision 225)
+++ /palm/trunk/SOURCE/cpu_statistics.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix for nonparallel execution
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 222 2009-01-12 16:04:16Z letzel
+! Bugfix for nonparallel execution
 !
 ! 197 2008-09-16 15:29:03Z raasch
Index: /palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_2d.f90	(revision 225)
+++ /palm/trunk/SOURCE/data_output_2d.f90	(revision 226)
@@ -4,10 +4,13 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: zero output of particle concentration and radius unless particles
-! have been started
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 215 2008-11-18 09:54:31Z raasch
+! Bugfix: no output of particle concentration and radius unless particles
+! have been started
 !
 ! 96 2007-06-04 08:07:41Z raasch
Index: /palm/trunk/SOURCE/data_output_dvrp.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_dvrp.f90	(revision 225)
+++ /palm/trunk/SOURCE/data_output_dvrp.f90	(revision 226)
@@ -32,5 +32,4 @@
 ! Actual revisions:
 ! -----------------
-! DVRP arguments changed to single precision, mode pathlines added
 ! TEST: different colours for isosurfaces
 ! TEST: write statements
@@ -39,4 +38,7 @@
 ! -----------------
 ! $Id$
+!
+! 210 2008-11-06 08:54:02Z raasch
+! DVRP arguments changed to single precision, mode pathlines added
 !
 ! 130 2007-11-13 14:08:40Z letzel
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 225)
+++ /palm/trunk/SOURCE/header.f90	(revision 226)
@@ -4,9 +4,12 @@
 ! Actual revisions:
 ! -----------------
-! Bugfix: error in zu index in case of section_xy = -1
+! 
 !
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 206 2008-10-13 14:59:11Z raasch
+! Bugfix: error in zu index in case of section_xy = -1
 !
 ! 198 2008-09-17 08:55:28Z raasch
